import request from '@/utils/request'

// 查询抽查任务信息列表
export function listTask(query) {
  return request({
    url: '/basicData/xcrRandomInspectionTask/findByPage',
    method: 'get',
    params: query
  })
}

// 查询抽查任务信息详细
export function getTask(xhCodeId) {
  return request({
    url: '/basicData/xcrRandomInspectionTask/' + xhCodeId,
    method: 'get'
  })
}

// 新增抽查任务信息
export function addTask(data) {
  return request({
    url: '/basicData/xcrRandomInspectionTask',
    method: 'post',
    data: data
  })
}

// 修改抽查任务信息
export function updateTask(data) {
  return request({
    url: '/basicData/xcrRandomInspectionTask',
    method: 'put',
    data: data
  })
}

// 删除抽查任务信息
export function delTask(xhCodeId) {
  return request({
    url: '/basicData/xcrRandomInspectionTask/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delTaskBatch(ids) {
  return request.post('/basicData/xcrRandomInspectionTask/delete',ids)
}
